Проблемы в работе модуля Telegram на 5.7 linux

Стартовая страница Форумы Ошибки в работе Ошибки Коммуникатора Проблемы в работе модуля Telegram на 5.7 linux

Просмотр 13 сообщений - с 1 по 13 (из 13 всего)
  • Автор
    Сообщения
  • #12999
    lost_post
    Участник

    Доброго времени суток!
    Писал в этой теме

    Ситуация такая: недавно обновился на 5.7.
    На Windows все работает, на Linux не работает Telegram.dll и Mercury23x.dll.

    После вопроса Mikhail о версиях — скачал на последние.
    Mercury23x.dll заработал после обновление и изменения командной строки под актуальный формат.

    C Telegram проблема осталась. В логах следующее сообщение

    2019-07-30 19:09:39 Communication session with the Device 13 "Telegram", type: KpTelegram, address: 1
    Error executing request: Could not load type of field 'System.Net.HttpWebRequest:tlsProvider' (49) due to: Could not resolve type with token 01000030 from typeref (expected class 'Mono.Security.Interface.MonoTlsProvider' in assembly 'Mono.Security, Version=4.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756') assembly:Mono.Security, Version=4.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756 type:Mono.Security.Interface.MonoTlsProvider member:(null)
    

    По гуглу ищу — пока не нахожу в чем дело…

    • Эта тема была изменена 1 год, 12 месяцев назад от lost_post.
    #13002
    manjey73
    Участник

    Вы какой Mono устанавливали ? просто если просит TLS, то надо как то сертификаты обновить для Mono. Похожая проблема была когда почту настраивал. Не помню, в readme по инсталу есть что-то по данному поводу или нет…. Хотя может и не с этим связано.

    Драйвер Меркурия заработал если правильно понимаю ?

    • Этот ответ был изменен 1 год, 12 месяцев назад от manjey73.
    #13004
    lost_post
    Участник

    Удалил Mono. Поставил свежую версю 6.0 mono-complete.
    Ситуация не поменялась. Ошибка та же. Повторяется бесконечное количество раз.

    Драйвер Меркурия заработал. Спасибо.

    #13009
    manjey73
    Участник

    Не надо удалять и ставить новую, ну в смысле простая установка не поможет.

    По поводу сертификатов

    Попробуйте обновить или подключить сертификаты как тут описано. На Raspberry то ли из-за нехватки памяти то ли еще почему выдаст ошибку, надо перегрузиться и дать команду снова, пока не пройдет.

    Mozila отозвала какие-то сертификаты, так что надо синхронизировать по cert-sync

    Не знаю, с этим связана ошибка или нет, это чисто мое предположение.

    #13030
    lost_post
    Участник

    Была цель обновиться, но при обновлении ca-certificates-mono возникали ошибки, и только вручную снеся все записи о проблемных пакетах, получилось переустановить на актуальную версию mono 6.0 .

    Сертификаты добавил/обновил как пишут в теме. sudo cert-sync /etc/ssl/certs/ca-certificates.crt тоже выполнил. Машину перезапустил.
    Результата нету. Та же ошибка.

    RapidSCADA стоит не ра Raspberry, да и памяти хватает.

    #13031
    manjey73
    Участник

    хм, тогда не знаю. я Telegramm давно не использовал. Еще как вариант, проблемы из-за блокировок Телеграма…

    #13032
    lost_post
    Участник

    Я в Украине — тут Телеграм не блокируют…

    Добавил сертификаты телеграма вручную… та же петрушка.

    Какие есть у народа идеи?

    • Этот ответ был изменен 1 год, 12 месяцев назад от lost_post.
    #13038
    MikhailMikhail
    Модератор

    Ошибка «Could not load type of field ‘System.Net.HttpWebRequest:tlsProvider’…» связана с Mono .NET Framework. Запрет Телеграма на неё не влияет.

    То есть старая версия драйвера Телеграм на Linux работала, а новая с этой ошибкой? Я правильно понимаю?

    #13039
    MikhailMikhail
    Модератор

    Попробуйте удалить Mono.Security.dll из C:\SCADA\ScadaComm\KP и перезапустить Коммуникатор.
    Не повлияло?

    #13041
    lost_post
    Участник

    Старая версия драйвера Телеграм на Linux не работала на RapidSCADA 5.7

    Удалил Mono.Security.dll из /opt/scada/ScadaComm/KP — все заработало.
    Спасибо за решение!
    Расскажите в чем прикол.

    #13057
    MikhailMikhail
    Модератор

    Mono.Security.dll лежит в ScadaComm/KP для работы с PostgreSQL. Оказалось, что драйвер Telegram её тоже использует (не знал об этом). Скорее всего, возник конфликт версий этой библиотеки.

    #13063
    lost_post
    Участник

    Понятно. Спасибо за помощь!

    #13064
    MikhailMikhail
    Модератор

    Убрали Mono.Security.dll из дистрибутива для Linux. Надо понаблюдать, будут ли проблемы.

Просмотр 13 сообщений - с 1 по 13 (из 13 всего)
  • Вы должны авторизироваться для ответа в этой теме.